Subject: Re: bug#50811: 28.0.50; Misleading Docstring for read-string function

From: Codruț Constantin Gușoi <[email-masked]>
Date: Mon, 27 Sep 2021 04:56:55 +0000

Bash has `C-u` for this, but that obviously can't be used in emacs. May I suggest a variable that controls the behaviour instead of changing it completely in the future? Just don't take my INITIAL-VALUE away :)

Anyway, there does not seem to be any action to take right now. Thank you for clarifying.

Cheers,
Codruț

www.codrut.pro

-------- Original Message --------
On 27 Sep 2021, 07:40, Lars Ingebrigtsen wrote:

> Codruț Constantin Gușoi <[email-masked]> writes:
>
>> That's exactly the behaviour I need for renaming a file, for example; a
>> prompt pre-filled with the current filename. It's the same UX as in every
>> other program that does this sort of functionality and the extra keypress
>> makes it harder to use.
>
> I wasn't part of the discussions when this happened (I think it was more
> than a decade ago), but I think the idea was that users were annoyed
> that (in many cases) they had to remove the default completely before
> being able to type stuff in.
>
> That is, with
>
> (read-string "PROMPT " "This is the very long default")
>
> you have to delete all that before you can type in "foo", which is what
> you wanted to say. (Or `C-a C-k' is you're an expert.)
>
> Putting the default in the "future history" means that the user can type
> "foo" immediately (if they want that), or RET if they want the default,
> or `M-n' if they want to edit the default.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
> bloggy blog: http://lars.ingebrigtsen.no